/***************************************************************************
                          digit.h  -  description
                             -------------------
    begin                : Don Dez  9 18:23:21 CET 1999
    copyright            : (C) 1999 by Ralf-Christian Juergensen
    email                : ralf-christian.juergensen@stud.fh-flensburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIGIT_H
#define DIGIT_H

#include "scoreboard.h"
#include "kplayground.h"
#include "globals.h"
#include "resource.h"

#include <kapp.h>
#include <ktmainwindow.h>
#include <qpopupmenu.h>
#include <qkeycode.h>
#include <qwidget.h>
#include <qmessagebox.h>
#include <kfiledialog.h>
#include <qstring.h>

/** The main widget.
  * @author Ralf-Christian Juergensen
  */
class Digit : public KTMainWindow
{
    Q_OBJECT 
    
public:
    Digit(const char* name = 0);
    ~Digit();
    
protected:
    void resizeEvent(QResizeEvent*);
        
private slots:
    void newMap();
    void newGame();
    void printWinner(Player);
    void printScore();
    
private:
    void menuSetup();
    
    ScoreBoard* scoreboard;
    KPlayGround* playground;
    QPopupMenu* gamePopup;
};

#endif
