/***************************************************************************
                          scoreboard.h  -  description
                             -------------------
    begin                : Thu Dec 9 1999
    copyright            : (C) 1999 by Ralf-Christian Juergensen
    email                : ralf-christian.juergensen@stud.fh-flensburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SCOREBOARD_H
#define SCOREBOARD_H

#include "globals.h"

#include <kapp.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qstring.h>

/** Implements a statusbar to display the players score.
  * @author Ralf-Christian Juergensen
  */

class ScoreBoard : public QWidget
{
    Q_OBJECT       
         
public:
    ScoreBoard(QWidget* parent=0, const char* name=0);
    	
public slots:
    void setScore(int one, int two);
    void setPlayer(Player player);
    
protected:
    void resizeEvent(QResizeEvent*);
    	
private:
    QLabel* scorePlayerOne;
    QLabel* scorePlayerTwo;
    QLabel* currentPlayer;
};

#endif
